%define	_sbindir /sbin
# XXX --enable-kerberos		needs krcmd
%define	myoptions --enable-largefile --with-binmode=6755 --with-manowner=root --with-mangrp=root --with-manmode=0644 --with-dumpdates="%{_sysconfdir}/dumpdates" --enable-readline

Summary: Programs for backing up and restoring filesystems.
Name: dump
Version: 0.4b22
Release: 5ml
License: BSD
Group: Applications/Archiving
Source: http://download.sourceforge.net/dump/dump-%{version}.tar.gz
Patch0: dump-0.4b21-rh52.patch
Patch1: dump-time.patch
BuildPrereq: e2fsprogs-devel, libtermcap-devel, readline-devel
Requires: rmt
BuildRoot: %{_tmppath}/%{name}-root

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package -n rmt
Summary: Provides certain programs with access to remote tape devices.
Group: Applications/Archiving

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%package -n dump-static
Summary: Statically linked versions of dump and restore.
Group: Applications/Archiving

%description -n dump-static
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

This packages contains statically linked versions of dump and restore.

%prep
%setup -q
%patch0 -p1 -b .rh52
%patch1 -p1 -b .time

%build
%configure %{myoptions} --enable-static

%ifarch alpha
RPM_OPT_FLAGS=""
%endif
make OPT="$RPM_OPT_FLAGS -Wall -Wpointer-arith -Wstrict-prototypes \
                         -Wmissing-prototypes -Wno-char-subscripts"

mv dump/dump dump/dump.static
mv restore/restore restore/restore.static

make distclean

%configure %{myoptions} --enable-rmt

make OPT="$RPM_OPT_FLAGS -Wall -Wpointer-arith -Wstrict-prototypes \
                         -Wmissing-prototypes -Wno-char-subscripts"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall SBINDIR=%{buildroot}%{_sbindir} BINDIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}/man8 BINOWNER=$(id -un) BINGRP=$(id -gn) MANOWNER=$(id -un) MANGRP=$(id -gn)

cp dump/dump.static %{buildroot}%{_sbindir}
cp restore/restore.static %{buildroot}%{_sbindir}

{ cd %{buildroot}
  strip .%{_sbindir}/* || :
  ln -sf dump .%{_sbindir}/rdump
  ln -sf dump.static .%{_sbindir}/rdump.static
  ln -sf restore .%{_sbindir}/rrestore
  ln -sf restore.static .%{_sbindir}/rrestore.static
  chmod ug-s .%{_sbindir}/rmt
  mkdir -p .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -sf ..%{_sbindir}/rmt .%{_sysconfdir}/rmt
}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README REPORTING-BUGS THANKS TODO
%doc dump.lsm
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
%attr(0755,root,root)	%{_sbindir}/dump
%{_sbindir}/rdump
%attr(0755,root,root)	%{_sbindir}/restore
%{_sbindir}/rrestore
%{_mandir}/man8/dump.*
%{_mandir}/man8/rdump.*
%{_mandir}/man8/restore.*
%{_mandir}/man8/rrestore.*

%files -n rmt
%defattr(-,root,root)
%attr(0755,root,root)	%{_sbindir}/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.*

%files -n dump-static
%defattr(-,root,root)
%attr(0755,root,root)	%{_sbindir}/dump.static
%{_sbindir}/rdump.static
%attr(0755,root,root)	%{_sbindir}/restore.static
%{_sbindir}/rrestore.static

%changelog
* Wed Mar 13 2002 NONAKA Akira <anonaka@miraclelinux.com>
- Rebuild for zlib security update

* Fri Jun 29 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-4
- Added BuildPrereq: readline-devel (#44734 - which was reopened and changed)

* Sat Jun 16 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-3
- Added BuildPrereq: libtermcap-devel (#44734)

* Tue Jun 12 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-2
- Removed release tag from buildroot dirname - messy.
- Broke all lines over multiple lines for readability in specfile.
- Added --enable-largefile configure flags

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de> 0.4b22-1
- 0.4b22

* Mon May  7 2001 Mike A. Harris <mharris@redhat.com> 0.4b21-5
- Added BuildPrereq: e2fsprogs-devel (#27428)

* Mon Apr  9 2001 Bill Nottingham <notting@redhat.com>
- fix ia64

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with current glibc

* Mon Jan 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- change copyright: UCB to License: BSD

* Fri Jan 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4b21.

* Sun Nov 26 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b20.

* Fri Nov 10 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b20 released, first packaging.

* Tue Oct 31 2000 Jeff Johnson <jbj@redhat.com>
- remove setuid bits for Red Hat 5.x errata.

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Aug 30 2000 Preston Brown <pbrown@redhat.com>
- fix for dumping files between 2 and 4 gigs (#16466)

* Mon Aug 21 2000 Matt Wilson <msw@redhat.com>
- don't use -O2 on alpha because of compiler ICE

* Sun Aug 20 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b19.

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Aug 16 2000 Erik Troan <ewt@redhat.com>
- support LABEL= in fstab

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- if dump/restore aren't set(u|g)id, they don't need group tty (#12670)

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- whoops I had dump commented out of the file list.  fixed.
- dropped suid bits on the static binaries.
- fix char buffer size issue (#11880)

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- dropped SUID bits

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b17.
- FHS packaging.

* Thu Jun  1 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b17 released, first packaging.

* Sat Mar 11 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b16 released, first packaging.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- use posix signal handling to preserve dump functionality with libc5.

* Thu Mar  2 2000 Bill Nottingham <notting@redhat.com>
- update to 0.4b15

* Thu Feb 10 2000 Jeff Johnson <jbj@redhat.com>
- dump -0ufB /dev/ftape 1638000 /mnt2 fails to use /mnt2 as tape device (#8036)

* Thu Feb 10 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b14 released, first packaging.

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b13.

* Fri Jan 21 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b13 released, first packaging.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com.
- update to 0.4b12.

* Fri Jan 8 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b12 released, first packaging.

* Sun Dec 5 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b11 released, first packaging.

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- intergrate Stelian's fixes (Thanks!).

* Sun Nov 21 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b10 released, first packaging.

* Thu Nov 11 1999 Stelian Pop <pop@cybercable.fr>
- make static versions also for rescue purposes.

* Wed Nov 5 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b9 released, first packaging.

* Wed Nov 3 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b8 released, first packaging.

* Thu Oct 8 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b7 released, first packaging.

* Thu Sep 30 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b6 released, first packaging.

* Fri Sep 10 1999 Jeff Johnson <jbj@redhat.com>
- recompile with e2fsprogs = 1.15 (#4962).

* Sat Jul 31 1999 Jeff Johnson <jbj@redhat.com>
- workaround egcs bug (#4281) that caused dump problems (#2989).
- use sigjmp_buf, not jmp_buf (#3260).
- invoke /etc/rmt (instead of rmt) like other unices. (#3272).
- use glibc21 err/glob rather than the internal compatibility routines.
- wire $(OPT) throughout Makefile's.
- fix many printf problems, mostly lint clean.
- merge SuSE, Debian and many OpenBSD fixes.

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- remove setuid/setgid bits from /sbin/rmt (dump/restore are OK).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Thu Mar 18 1999 Jeff Johnson <jbj@redhat.com>
- Fix dangling symlinks (#1551).

* Wed Mar 17 1999 Michael Maher <mike@redhat.com>
- Top O' the morning, build root's fixed for man pages.  

* Fri Feb 19 1999 Preston Brown <pbrown@redhat.com>
- upgraded to dump 0.4b4, massaged patches.

* Tue Feb 02 1999 Ian A Cameron <I.A.Cameron@open.ac.uk>
- added patch from Derrick J Brashear for traverse.c to stop bread errors

* Wed Jan 20 1999 Jeff Johnson <jbj@redhat.com>
- restore original 6755 root.tty to dump/restore, defattr did tty->root (#684).
- mark /etc/dumpdates as noreplace.

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- add build root.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for resolving linux/types.h and sys/types.h conflicts

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added prototype of llseek() so dump would work on large partitions

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- made all symlinks relative instead of absolute

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved rmt to its own package.

* Tue Feb 11 1997 Michael Fulbright <msf@redhat.com>
- Added endian cleanups for SPARC

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com> 
- Made /etc/dumpdates writeable by group disk.
